Package Details: entrance-git 3.0.0_alpha5.r10.gb8894ea-1

Git Clone URL: https://aur.archlinux.org/entrance-git.git (read-only, click to copy)
Package Base: entrance-git
Description: Enlightenment Display Manager
Upstream URL: http://www.enlightenment.org/
Licenses: GPL3
Conflicts: entrance
Provides: entrance
Submitter: Scimmia
Maintainer: SolarAquarion
Last Packager: SolarAquarion
Votes: 92
Popularity: 0.000002
First Submitted: 2013-03-24 18:16 (UTC)
Last Updated: 2018-09-20 12:29 (UTC)

Latest Comments

kamp commented on 2020-08-19 18:55 (UTC) (edited on 2020-08-19 19:00 (UTC) by kamp)

here a little guid to run it...

install meson prior to downloading it
git clone (git-file) then => cd git-entrance-git then => makepkg then => sudo pacman -U entrance-git-"version" then => sudo systemctl enable entrance.service then => sudo systemctl reboot "if you want to reboot"

add -f after enable if it say something is already there then => !@! enjoy

jmpesc commented on 2018-10-25 13:55 (UTC)

makepkg errors out with this, ==> ERROR: A failure occurred in build(). Aborting... the error log contains, meson_options.txt:9:0: ERROR: Option name debug is reserved. Is there any good workaround?

FredBezies commented on 2018-09-20 12:17 (UTC)

Please add meson to depends. If you don't add it, there is an error related to a missing arch-meson command.

SolarAquarion commented on 2018-08-14 23:04 (UTC)

@anonymousshyster there was a little experiment going upstream, it was fixed for now

anonymousshyster commented on 2018-08-14 08:12 (UTC) (edited on 2018-08-14 08:12 (UTC) by anonymousshyster)

Getting this error when running makepkg: meson.build:35:2: ERROR: C library 'elogind' not found. Is there an easy solution?

Ptero-4 commented on 2018-04-30 21:24 (UTC)

add meson to depends.

sirus20x6 commented on 2017-11-01 21:33 (UTC)

sirus@arch  ~  systemctl enable entrance.service Failed to enable unit: Unit file entrance.service does not exist.

Slow_Epiphany commented on 2017-10-09 18:48 (UTC)

The meson_options.txt contains an error that is preventing building on option nls default: true should be value: true As a noob I haven't been able to figure out how edit this text file and have it not be recreated from the makepkg command.

deur commented on 2017-05-06 07:38 (UTC) (edited on 2017-05-06 07:38 (UTC) by deur)

Is this package already dicontinued?

itbane commented on 2016-09-24 13:08 (UTC)

Since elementary has been replaced with extra/efl, please update the dependancies!

Scimmia commented on 2015-01-09 15:45 (UTC)

AFAIK, no, it can't.

Barry commented on 2015-01-09 13:39 (UTC)

Entrance can run on Wayland?

bu5hm4n commented on 2014-02-17 15:46 (UTC)

Maybe the /var/log/entrance.log could help more.

capoeira commented on 2014-02-07 22:51 (UTC)

i deleted the session log in my home tryed autlogin - failed used slim to login - but no log at all was created :-(

bu5hm4n commented on 2014-02-01 14:53 (UTC)

Hi, currently there is no officical logind or systemd support, entrance is one session based, this means after you exit the session it wont restart. So if the spawning of the DE fails it will just be restarted from systemd and show things again. If you have problem with logging in and see that the pam auth failed you could try changning the entrance file from pam to another for example from lxdm etc. capoeira: What is the log saying ?

capoeira commented on 2014-01-17 19:27 (UTC)

working fine with standard .conf once autologin is enabled it wont start e18 (going back to batch)

Scimmia commented on 2013-12-19 16:55 (UTC)

I'm guessing it's a PAM issue, but I don't know much about PAM.

mrunion commented on 2013-12-19 16:22 (UTC)

I have the same problem as jujojujo_2003. I see the login manager, enter my username and password, but then if I press [ENTER], the fields just reset and I don't log in. What was your solution, jujojujo?

Scimmia commented on 2013-09-17 03:51 (UTC)

This should now build with EFL 1.7 again.

jujojujo_2003 commented on 2013-09-11 15:10 (UTC)

I am unable to login with this. It shows the login screen and after a few seconds, the cursor shows up. I select enlightenment, then entrance restarts and shows me the same login screen again and again.

Scimmia commented on 2013-09-07 05:17 (UTC)

So apparently people have time to pastebin but not time to read.

einseenai commented on 2013-09-06 19:49 (UTC)

Can't update it this time. http://pastebin.com/5717DCKZ

Scimmia commented on 2013-09-06 13:36 (UTC)

Um, yeah, did you read my last couple of posts? It's not building with EFL 1.7 right now, although I did send a patch in to fix that.

lybin commented on 2013-09-06 10:43 (UTC)

I have trouble build: http://privatepaste.com/6b7bea665a

Scimmia commented on 2013-09-05 06:35 (UTC)

I uploaded a more up-to-date/correct PKGBUILD. Be aware, though, that I still can't get it to build with EFL 1.7 (bug) and haven't gotten it to give me an active logind session (missing feature).

Scimmia commented on 2013-09-04 06:12 (UTC)

There was just some major updates to entrance, you probably pulled in the middle of them. It should build now, but seems to not be building against EFL 1.7 right now (builds with 1.8). I'll look into it and see if it's intentional or just a bug.

commented on 2013-09-04 00:41 (UTC)

I'm getting an error trying to make the package: "cannot find input file: `Makefile.in`" Is there a workaround for this?

ksj commented on 2013-07-23 22:20 (UTC)

Does it work to anybody with enlightenment17-git (elementary-git)?

Scimmia commented on 2013-05-12 08:02 (UTC)

Switch to /usr/bin instead of /usr/sbin, Arch is trying to move everything.

Scimmia commented on 2013-04-05 04:36 (UTC)

This package how now been updated for pacman/makepkg 4.1. It will no longer work with makepkg 4.0.3 or earlier. If you've built this package before, it's best if you remove the existing "src" dir to make sure everything's clean, but it's not required. Either way, the new version will re-download the source. You'll notice that the pkgver has changed significantly. If you're using an AUR helper that tries to check the package version to see if it needs to rebuild, it won't like this so please reinstall this package manually. Going forward, though, this scheme should work much better with those AUR helpers. I could add an epoch to the PKGBUILD, but then we'd be stuck with it forever. Since this should be a one time thing, I think it's better to just ask people to install.

capoeira commented on 2013-03-26 01:52 (UTC)

did you get autologin working? I get a crazy blinking screen whch I cant get out even trying to kill X11

capoeira commented on 2013-03-25 10:12 (UTC)

well, it installed here

Scimmia commented on 2013-03-24 18:17 (UTC)

This is a straight conversion of the PKGBUILD to Git. I'll take a closer look at why it doesn't work right later unless someone else beats me to it ...

Scimmia commented on 2013-03-15 19:02 (UTC)

Moved to Git, no longer in SVN.

foobarrior commented on 2013-01-02 07:44 (UTC)

well yeah, installing `xorg-sessreg` really helped. but it first repeatedly logged me in then logged out - about 10 times. then then it didn't log me out :X

foobarrior commented on 2013-01-02 07:34 (UTC)

i've noticed that log file contains 'sh: /usr/bin/sessreg: No such file or directory' line, followed by closing notification. It seems, we also need to install `xorg-sessreg` package. Or maybe we need to modify default configuration, on the other way

kgunders commented on 2012-12-14 22:50 (UTC)

konig: fwiw- I am also using lxdm. Lightweight and easily tweakable. Someday e17 amy have login manager that works but until then lxdm gets the job done. Xfce's login manager makes me pull in too many extra xfce libs, ditto gdm. Lxdm hits the sweet spot.

Stunts commented on 2012-12-14 09:47 (UTC)

I am currently using LXDM. It's lightweight, maintained and has a pleasant theme available (at least in my opinion) here: https://aur.archlinux.org/packages/archlinux-lxdm-theme-full/ I would still prefer an efl based login manager, but while entrance matures this one does the job quite nicely for me.

konig commented on 2012-12-14 09:42 (UTC)

Stunts, sot what kind of login manager are you using since entrance seems broken beyond repair? slim looks like S@#, I've been using xfce login manager, it does the job, but the looks...

Stunts commented on 2012-12-14 08:43 (UTC)

I don't think it's being as actively developed as the other e17 components (based on the svn revision numbers), so I'd say: "No, it won't". At least for now.

capoeira commented on 2012-12-14 01:35 (UTC)

I'm asking myself if this will go to the repros when e17 final comes out!?

Stunts commented on 2012-12-13 23:18 (UTC)

xorg-xauth is installed and it's not working... Any more tips on this?

konig commented on 2012-12-02 11:16 (UTC)

Has anyone got Entrance to work? 2 errors show up in the log; daemon is launched through systemd ERR<318>:edbus src/lib/edbus_core.c:997 edbus_connection_get() Error connecting to bus: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11 and entrance: write auth/usr/bin/xauth: file /var/run/entrance.auth does not exist I have installed xorg-auth, but it didn't help.

capoeira commented on 2012-11-26 09:38 (UTC)

I have the same problem AND I got xorg-xauth. I can't even switch to console once it is started. sometimes it logs in, must of the time it doesn't did you change something in entrance.conf wilanje?

commented on 2012-11-25 07:56 (UTC)

try installing xorg-xauth, it worked for me.

Stunts commented on 2012-11-10 00:54 (UTC)

I cannot login with entrance into my enlightenment session is the daemon is launched via systemd service file. If it is launched from tty2 everything works. Any thoughts on this? Thanks.

commented on 2012-09-07 22:45 (UTC)

Hello guys! I happened to pretty much just s/elsa/entrance/ and made a new PKGBUILD on top of this. https://aur.archlinux.org/packages.php?ID=62596 It even seems to be working nicely. Cheers, meklu.

capoeira commented on 2012-08-20 16:54 (UTC)

it was rerenamed to "entrance" there is no active AUR package

Customizer commented on 2012-08-20 14:53 (UTC)

I can not build this package. It seems, the elsa directory doesn't exist anymore in the svn repository. But I cannot figure out, where the new location of elsa is. Any ideas?

paradoxxxzero commented on 2012-08-16 09:34 (UTC)

Elsa has been re-renamed to entrance http://trac.enlightenment.org/e/changeset/75060 http://trac.enlightenment.org/e/changeset/75061

capoeira commented on 2012-08-13 14:07 (UTC)

most orphaned ever. lol

Samsagax commented on 2012-08-12 06:24 (UTC)

PS. Last release of slim was on 2012-06-25 >>> Thanks! Good to know :) Btw. I'm orphaning this package as I only used it for testing. It worked so I'll let someone else take the credit :) Now seriously, I'm not using it anymore, so it's pointless to me to maintain it.

swiftgeek commented on 2012-08-12 01:44 (UTC)

Slim isn't abandoned and @capoeira… quit bitching here and go to bbs. Also delete your spam here :( Also post $PATH in bbs, not content of yours directories -.- PS. Last release of slim was on 2012-06-25

capoeira commented on 2012-08-09 18:19 (UTC)

well I use jre from AUR regarding /sbin: [code] [studio@(none) sbin]$ ls agetty fsck.ext4 losetup reboot arp fsck.ext4dev mii-tool request-key badblocks fsck.minix mke2fs resize2fs blkid fsfreeze mkfs route blockdev fstab-decode mkfs.bfs runlevel bootlogd fstrim mkfs.cramfs sfdisk cfdisk grub mkfs.ext2 shutdown chcpu grub-install mkfs.ext3 slattach ctrlaltdel grub-md5-crypt mkfs.ext4 sln debugfs grub-set-default mkfs.ext4dev sulogin depmod grub-terminfo mkfs.minix swaplabel dhcpcd halt mkhomedir_helper swapoff dmeventd hdparm mkswap swapon dmsetup hwclock modprobe switch_root dumpe2fs idectl mount.fuse sysctl e2fsck ifconfig nameif telinit e2image init nologin tune2fs e2label install-grub pam_tally udevadm e2undo ip pam_tally2 ultrabayd fdisk ipmaddr pam_timestamp_check umount.udisks findfs iptunnel pivot_root unix_chkpwd fsck key.dns_resolver plipconfig unix_update fsck.cramfs killall5 poweroff wipefs fsck.ext2 ldconfig rarp fsck.ext3 logsave raw [/code]

Samsagax commented on 2012-08-09 16:15 (UTC)

But... Slim is an abbandoned project (as far as i know), and every other display managers use /usr/sbin, why you need /sbin ? The java runtime package in the official repos work out of the box... I don't understand the issue :S

capoeira commented on 2012-08-09 16:07 (UTC)

well, with slim I don't have the problem. so it must be related in any way. I don't care using the whole path for the few programs in /sbin, but I can't run any java software. I'll open a thread in the forum.

Samsagax commented on 2012-08-09 16:01 (UTC)

I don't think they are related to elsa @capoeira

capoeira commented on 2012-08-09 14:04 (UTC)

If someone at least could explain how to add /sbin and java path I would be very thankfull.

capoeira commented on 2012-08-07 00:09 (UTC)

thanks, login working now without consolekit /usr/sbin is set /sbin isn't java comand also doesn't work

Samsagax commented on 2012-08-04 03:09 (UTC)

@capoeira: It does not depend on consolekit. I added a PAM file for managing permissions. sbin path is correctly set here to /usr/sbin

capoeira commented on 2012-08-04 00:47 (UTC)

nice, thanks 2 things it depends on consolekit, without it it wont login here sbin path is not set

Samsagax commented on 2012-08-03 19:09 (UTC)

Ok, @swiftgeek. Adopted and rewrote PKGBUILD. Waiting for feedback :P. I can say: it's working with Gnome-Shell session :)

capoeira commented on 2012-08-03 13:24 (UTC)

you can adopt it @Samsagax

swiftgeek commented on 2012-08-03 13:23 (UTC)

Who? I have orphaned this package At least for now

Samsagax commented on 2012-08-03 13:17 (UTC)

Could you please add a systemd unit? I'm looking forward on this package :) hint: here is my attempt of elsa.service ;) : http://pastie.org/pastes/4383768/text

capoeira commented on 2012-06-03 13:47 (UTC)

anyone built this recently?

commented on 2012-04-27 15:09 (UTC)

o.O ..? Woahh, I dunno nothin 'bout makin no packages.. ...is that what "notify" means? I thought it meant "notify the creator of the package about a dependancy" ...forgive me, I'm relatively new here ^.^"

swiftgeek commented on 2012-04-27 15:03 (UTC)

Take good care of this package ;)

commented on 2012-04-27 14:14 (UTC)

I had to install consolekit in order for it to work, otherwise it just hanged at the login screen after I logged in. I now have it marked as a dependancy so I don't accidentally delete it.

dhampire commented on 2012-02-22 19:23 (UTC)

$cat /etc/rc.d/elsa #!/bin/bash . /etc/rc.conf . /etc/rc.d/functions pidfile=/run/elsa.pid if [[ -r $pidfile ]]; then read -r PID < "$pidfile" if [[ $PID && ! -d /proc/$PID ]]; then # stale pidfile unset PID rm -f "$pidfile" fi fi PID=`pidof -o %PPID /usr/sbin/elsa` case "$1" in start) stat_busy "Starting Elsa" [ -z "$PID" ] && /usr/sbin/elsa if [ $? -gt 0 ]; then stat_fail else add_daemon elsa stat_done fi ;; stop) stat_busy "Stopping Elsa" [ ! -z "$PID" ] && kill $PID &> /dev/null if [ $? -gt 0 ]; then stat_fail else rm_daemon elsa stat_done fi ;; restart) $0 stop sleep 3 $0 start ;; *) echo "usage: $0 {start|stop|restart}" esac exit 0 use this rc.d script with $$ LANG=C y -Qi elsa-svn Name : elsa-svn Version : 67269-1 URL : http://trac.enlightenment.org/e Licenses : GPL Groups : None Provides : elsa Depends On : elementary Optional Deps : None Required By : None Conflicts With : entrance Replaces : None Installed Size : 5300.00 KiB Packager : Unknown Packager Architecture : i686 Build Date : Fri Feb 17 23:45:13 2012 Install Date : Fri Feb 17 23:45:19 2012 Install Reason : Explicitly installed Install Script : No Description : Successor of the e17 display manager - Entrance it works fine.

commented on 2011-12-31 14:02 (UTC)

Hello all, I'm back again. This package build is stil up to date. I've compiled E17 today from the current enlightenment SVN-libraries using the ARCHE17-script. All builds are okay including elsa.

capoeira commented on 2011-12-18 18:38 (UTC)

nobody maintains this anymore. I wish I could. Use slim or LXDM

commented on 2011-12-18 15:35 (UTC)

Won't build: ============ make all-recursive make[1] : on entre dans le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build » Making all in src make[2] : on entre dans le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build/src » Making all in bin make[3] : on entre dans le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build/src/bin » CC elsa_event.o CC elsa_client.o CC elsa_connect.o CC elsa_gui.o elsa_connect.c: In function ‘_elsa_connect_add’: elsa_connect.c:16:32: attention : variable ‘ev’ set but not used [-Wunused-but-set-variable] elsa_connect.c: In function ‘_elsa_connect_del’: elsa_connect.c:26:32: attention : variable ‘ev’ set but not used [-Wunused-but-set-variable] elsa_gui.c: In function ‘_elsa_gui_users_genlist_set’: elsa_gui.c:547:18: erreur: ‘struct _Elm_Gen_Item_Class_Func’ has no member named ‘text_get’ elsa_gui.c: In function ‘_elsa_gui_users_gengrid_set’: elsa_gui.c:568:18: erreur: ‘struct _Elm_Gen_Item_Class_Func’ has no member named ‘text_get’ elsa_gui.c: In function ‘_elsa_gui_genlist_fill’: elsa_gui.c:606:12: erreur: ‘struct _Elm_Gen_Item_Class_Func’ has no member named ‘text_get’ elsa_gui.c: In function ‘_elsa_gui_gengrid_fill’: elsa_gui.c:627:12: erreur: ‘struct _Elm_Gen_Item_Class_Func’ has no member named ‘text_get’ elsa_gui.c: Hors de toute fonction : elsa_gui.c:638:1: attention : ‘_elsa_gui_cont_fill’ defined but not used [-Wunused-function] make[3]: *** [elsa_gui.o] Erreur 1 make[3] : on quitte le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build/src/bin » make[2]: *** [all-recursive] Erreur 1 make[2] : on quitte le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build/src » make[1]: *** [all-recursive] Erreur 1 make[1] : on quitte le répertoire « /tmp/yaourt-tmp-root/aur-elsa-svn-arch/src/elsa-build » make: *** [all] Erreur 2

commented on 2011-11-18 09:40 (UTC)

same thing form me, can't build.... Some help ?

capoeira commented on 2011-11-09 02:16 (UTC)

can anybody adopt this? I don't have the knowledge to do so. It doesn't build anymore. slim boots so slow, I wnat my elsa back. hahaha

capoeira commented on 2011-11-06 16:38 (UTC)

doesn't build here anymore with new packages from repros

commented on 2011-09-28 06:30 (UTC)

Capoeira, You have to set them in the /etc/elsa.conf file : session_path

commented on 2011-09-28 06:30 (UTC)

Capeira, You have to set them in the /etc/elsa.conf file : session_path

capoeira commented on 2011-09-27 23:58 (UTC)

Installed it today, but th PATH variables are set by it it seams, and it doesn't include "sbin"

Anonymo commented on 2011-09-06 03:21 (UTC)

Anyway to do dual-screen? Login ends up in the center.

commented on 2011-08-31 16:57 (UTC)

Yes, i am using the default elsa.conf and running on 32-bit. I've made some changes in the E17 wiki about the use of Elsa. I've just compiled everything from svn including elsa and I don't have any problems.

commented on 2011-08-30 18:00 (UTC)

Yes, i am using the default elsa.conf and running on 32-bit. I've made some changes in the E17 wiki about the use of Elsa.

capoeira commented on 2011-08-30 15:48 (UTC)

recompiled it yesterday evening, same problem. currently I'm with the extra packages, too do you use the default elsa.conf? are you on 64bit? (iḿ on 32bit) when I use ""xsessions" uchar: 1" I can login...but I loose some preferences of E17 anyway, soon I will update E17 packages from svn and then I try Elsa again. Btw: Elsa got very advanced hum? It's better then slim already, and as "slim" as. Since other desktops can be choosen now, perhaps one could include it to the wikis?!

commented on 2011-08-29 17:34 (UTC)

Well capoeira, Just to check i have recompiled elsa today and I have no problems using elsa. I don't have the following lines in my elsa.log: My loosing env (null) My loosing elsa_main env (null) ERR<2009>:elm-externals elm_widget.c:2155 elm_widget_type_check() Passing Object: 0x88eaa18, of type: 'scrolled_entry' when expecting type: 'entry' ERR<2009>:elm-externals elm_widget.c:2155 elm_widget_type_check() Passing Object: 0x88ef698, of type: 'scrolled_entry' when expecting type: 'entry' *** glibc detected *** /usr/lib/elsa/elsa_client: corrupted double-linked list: 0x0898adf8 *** ======= Backtrace: ========= /lib/libc.so.6(+0x6ea85)[0xb7270a85] /lib/libc.so.6(+0x6eec0)[0xb7270ec0] I'm still using the official community-packages from the arch-repository. (updated 2011-08-28) If you compile e17 yourself then that can be a problem with e17 upstream. Perhaps if you wait a day and then recompile the issue is gone. Good luck!!

capoeira commented on 2011-08-29 15:44 (UTC)

elsa.log: elsa: Welcome elsa: Pam init with name elsa elsa: write auth /usr/bin/xauth -f /var/run/elsa.auth -q /usr/bin/xauth: file /var/run/elsa.auth does not exist elsa: server init elsa: server init ok My loosing env (null) My loosing elsa_main env (null) elsa: Run client elsa: client init elsa: client Gui init ERR<2009>:elm-externals elm_widget.c:2155 elm_widget_type_check() Passing Object: 0x88eaa18, of type: 'scrolled_entry' when expecting type: 'entry' ERR<2009>:elm-externals elm_widget.c:2155 elm_widget_type_check() Passing Object: 0x88ef698, of type: 'scrolled_entry' when expecting type: 'entry' elsa: client run elsa: server client connected elsa: client connected elsa: echo on elsa: echo off elsa: Session Init elsa: launching exec /bin/bash -login -c '/usr/bin/enlightenment_start' for user studio elsa: Gui shutdown elsa: server client disconnected elsa: client shutdown elsa: Gui shutdown *** glibc detected *** /usr/lib/elsa/elsa_client: corrupted double-linked list: 0x0898adf8 *** ======= Backtrace: ========= /lib/libc.so.6(+0x6ea85)[0xb7270a85] /lib/libc.so.6(+0x6eec0)[0xb7270ec0]

capoeira commented on 2011-08-29 15:43 (UTC)

who do you mean? since we both have the same issue, elsa conf: group "Elsa_Config" struct { value "session_path" string: "/bin:/usr/bin:/usr/local/bin"; /* X server path */ value "xinit_path" string: "/usr/bin/X"; /* X server args */ value "xinit_args" string: "-nolisten tcp -br vt7"; /* xauth path binary */ value "xauth_path" string: "/usr/bin/xauth"; /* xauth file for server */ value "xauth_file" string: "/var/run/elsa.auth"; /* Commands executed when starting a session */ value "session_start" string: "/usr/bin/sessreg -a -l :0.0"; /* Command executed when login. Warning xsession must be set to 0 */ value "session_login" string: "exec /bin/bash -login -c '/usr/bin/enlightenment_start'"; /* Commands executed when exiting a session */ value "session_stop" string: "/usr/bin/sessreg -d -l :0.0"; /* Commands executed to shutdown */ value "shutdown" string: "/sbin/shutdown -h now"; /* Command executed to reboot */ value "reboot" string: "/sbin/shutdown -r now"; /* Command executed to suspend */ value "suspend" string: "/usr/sbin/pm-suspend"; /** Start in daemon mode. This can be overriden by the command line * 1 = True, 0 = False */ value "daemonize" uchar: 0; /* Enable numlock */ value "numlock" uchar: 1; /** Bool to determine if elsa must login user with the session_login command * or use xdg desktop and determine the command to use * 1 = desktop_file_cmd, 0 = session_login */ value "xsessions" uchar: 0; /** Bool to determine if elsa must autologin user when X start * 1 = autologin enabled, 0 = autologin disabled */ value "autologin" uchar: 0; /* The name of the user to use when autologin are enabled */ value "userlogin" string: "myusername"; /* Lock file */ value "lockfile" string: "/var/run/elsa.pid"; /* Log file */ value "logfile" string: "/var/log/elsa.log"; /* Theme to use */ value "theme" string: "default"; }

commented on 2011-08-29 07:38 (UTC)

Can you post your /etc/elsa.conf and your /var/elsa/elsa.log file please

commented on 2011-08-29 07:34 (UTC)

Can you post your /etc/elsa.conf file please

commented on 2011-08-28 21:26 (UTC)

when i set value "xsessions" uchar: 1; in /etc/elsa.conf i can login into e as well as KDE. when i leave it to the default value however it just returns to the login screen.

capoeira commented on 2011-08-28 17:37 (UTC)

I can't login atm with new extra-packages. Anybody confirms this? slim works fine

capoeira commented on 2011-08-28 14:50 (UTC)

it only compiles with up to date elementary. So only copile elsa when packages in extra get updated or after manualy updating from svn.

commented on 2011-08-28 14:33 (UTC)

indeed, today it compiles... now see if i get it to run

commented on 2011-08-28 09:39 (UTC)

It compiles for me. I did a pacman -Syu today and got the new E17 packages from community. You need to get these also. Than have another go. Good luck.

commented on 2011-08-28 09:18 (UTC)

it does not compile for me: elsa_gui.o: In function `_elsa_gui_login_cancel_cb': elsa_gui.c:(.text+0x62): undefined reference to `elm_object_focus_set' elsa_gui.o: In function `_elsa_gui_user_sel_cb': elsa_gui.c:(.text+0x4a4): undefined reference to `elm_object_focus_set' ...

commented on 2011-08-11 03:43 (UTC)

well, now i can run it, but, after a few seconds, it closes... well, don't close but goes to black screen with a "X" cursor (sorry for my bad english) and no debug messages... when i try to close it via "#killall elsa" it doesn't work... i thought that it was because elsa was already closed but, when i try to run "#elsa" it says that it's running

commented on 2011-08-03 15:35 (UTC)

Thnks! that worked i forget to set to 5 runlevel in inittab!

commented on 2011-08-03 08:12 (UTC)

CruelVampiro: check if your runlevel is set to 5 in inittab

capoeira commented on 2011-08-03 03:07 (UTC)

irish: add "subversion" to dependencies vamp: sure you initab is correct?

commented on 2011-08-03 03:04 (UTC)

So given that other people have gotten it to install I feek like I'm just being a noob.. but I keep getting: missing dependencies: --->svn Modifying the dependency to elsa-svn did nothing, nor did installing every package with "svn" related to e17. I'm new to arch and probable just doing something stupid, figured I'd ask here for help before trial-and-error insertion of various e17 package names into the dependency slot.

commented on 2011-08-02 23:35 (UTC)

i cant get elsa work, it install but even if i put it on inittab or rc.conf it wonr start automatically Do you know how to make it work?

commented on 2011-08-02 22:11 (UTC)

i cant get elsa work, it install but even if i put it on inittab or rc.conf it wonr start automatically Do you know how to make it work?

commented on 2011-07-23 17:14 (UTC)

You are right in your correction

capoeira commented on 2011-07-23 16:59 (UTC)

yea, now elsa compiles just to correct for other people wanting to recompile elementary, it is extragroup=['/emprint-svn','/e-modules-extra-svn','/elementary-svn']

commented on 2011-07-23 07:23 (UTC)

Change the following line in the script: extragroup=['/emprint-svn','/e-modules-extra-svn'] to extragroup=['/emprint-svn','/e-modules-extra-svn','/elementary']

commented on 2011-07-23 07:22 (UTC)

Change the following line in the script: extragroup=['/emprint-svn','/e-modules-extra-svn'] to extragroup=['/emprint-svn','/e-modules-extra-svn','elementary']

capoeira commented on 2011-07-22 17:13 (UTC)

well, that was the problem, than. would do I have to do?

commented on 2011-07-22 17:08 (UTC)

I'm also using the same script. Be aware of the fact that elementary will not be build without modifying this script!!

capoeira commented on 2011-07-22 16:02 (UTC)

ok, I'm going to resync now. I use this script (does everything for you): http://dev.archlinux.org/~ronald/e17.html

commented on 2011-07-22 15:53 (UTC)

Here are my packages: [bstrik@libernux ~]$ pacman -Q | grep svn ecore-svn 61421-1 e_dbus-svn 60416-1 edje-svn 61346-1 eet-svn 61422-1 eeze-svn 61415-1 efreet-svn 60978-1 eina-svn 61413-1 elementary-svn 61426-1 embryo-svn 61420-1 e-modules-extra-svn 61291-1 emprint-svn 60246-1 e-svn 61414-1 evas-svn 61408-1 [bstrik@libernux ~]$

capoeira commented on 2011-07-22 10:45 (UTC)

thats what i'm talking about. I used a script to sync all packages but strangly Elementary was the same. look at my packages (I think I need to sync again): 1 community/ecore-svn 60253-1 (e17-libs-svn e17-svn) [installed: 61398-1] Ecore is an abstraction layer for e17 2 community/e_dbus-svn 60246-1 (e17-libs-svn e17-svn) [installed: 60416-1] dbus abstraction layer for e17 3 community/edje-svn 60246-1 (e17-libs-svn e17-svn) [installed: 61346-1] A graphical design and layout library based on Evas 4 community/eet-svn 60246-1 (e17-libs-svn e17-svn) [installed: 61097-1] A data storage and compression library 5 community/eeze-svn 60034-1 (e17-libs-svn e17-svn) [installed: 60866-1] A data storage and compression library 6 community/efreet-svn 60246-1 (e17-libs-svn e17-svn) [installed: 60978-1] freedesktop.org specifications for e17 7 community/eina-svn 60246-1 (e17-libs-svn e17-svn) [installed: 61358-1] E17 file chunk reading/writing library 8 community/elementary-svn 60261-1 (e17-libs-svn e17-svn) [installed] Enlightenment's basic widget set 9 community/embryo-svn 58829-1 (e17-libs-svn e17-svn) [installed: 60416-1] implementation of a C like scripting language for e17 10 community/e-modules-extra-svn 60246-1 (e17-extra-svn) [installed: 61291-1] Extra gadgets for e17 11 community/emprint-svn 60246-1 (e17-extra-svn) [installed] screenshot module for e17 12 community/e-svn 60263-1 (e17-svn) [installed: 61394-1] Enlightenment window manager DR17 (aka e17) 13 community/evas-svn 60260-1 (e17-libs-svn e17-svn) [installed: 61374-1]

commented on 2011-07-22 08:23 (UTC)

When you sync your packages it only means that you get and install the packages out of community. These packages do not represent the current development of enlightenment. The problem is the fact that the packages from community where build some time ago. Elsa is not part of the community packages. This means it can be build in sync with elementary only right after the community packages are updated. What you are trying to do now is build an up to date elsa (revision 61229) to an old elementary (revision 60261). I myself have no problem building elsa but my elementary revision is 61426

capoeira commented on 2011-07-21 10:58 (UTC)

i think elementary hasn't been updated for a long time. I synced my e-17 packages a week ago or so and elementary is still the same as in [community]: 60261....so, this is not the problem

commented on 2011-07-21 08:47 (UTC)

This means that the version of elementary you are using is to old.

commented on 2011-07-21 08:36 (UTC)

This means that elsa is out of sync with elementary. I can't do much about it, it has to be fixed upstream

commented on 2011-07-20 20:12 (UTC)

i got this error: elsa_connect.c: In function '_elsa_connect_add': elsa_connect.c:18:32: warning: variable 'ev' set but not used [-Wunused-but-set-variable] elsa_connect.c: In function '_elsa_connect_del': elsa_connect.c:28:32: warning: variable 'ev' set but not used [-Wunused-but-set-variable] CC elsa_gui.o elsa_gui.c: In function '_elsa_gui_xsessions_clicked_cb': elsa_gui.c:137:4: warning: implicit declaration of function 'elm_object_text_set' [-Wimplicit-function-declaration] CCLD elsa_client elsa_gui.o: In function `_elsa_gui_xsessions_clicked_cb': elsa_gui.c:(.text+0xc0): undefined reference to `elm_object_text_set' elsa_gui.o: In function `elsa_gui_xsession_set': elsa_gui.c:(.text+0x2c8): undefined reference to `elm_object_text_set' collect2: ld returned 1 exit status make[3]: *** [elsa_client] Error 1 make[3]: Leaving directory `/tmp/yaourt-tmp-yeaseb/aur-elsa-svn-arch/src/elsa-build/src/bin' make[2]: *** [all-recursive] Error 1 make[2]: Leaving directory `/tmp/yaourt-tmp-yeaseb/aur-elsa-svn-arch/src/elsa-build/src' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/tmp/yaourt-tmp-yeaseb/aur-elsa-svn-arch/src/elsa-build' make: *** [all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build elsa-svn-arch. and can't install

commented on 2011-07-14 01:31 (UTC)

Fixed the elsa.pam file to include ulimit

commented on 2011-06-24 09:31 (UTC)

hey thanks for the package libernux works ok here just one small problem i can login to e17 but then goes back to elsa , its like elsa doesnt close afterwards i can alt tab to the second deskop

capoeira commented on 2011-06-21 16:53 (UTC)

working fine now, thanks

commented on 2011-06-21 09:44 (UTC)

The package is fixed now. I forgot to include the PAM and elsa.conf file. I'm sorry for this

capoeira commented on 2011-06-15 03:02 (UTC)

I confirm this.....I get the same message

abarbarian commented on 2011-06-14 16:28 (UTC)

Sorry it does not. Here is the output I get when I try to install. make[2]: Nothing to be done for `install-exec-am'. make[2]: Nothing to be done for `install-data-am'. make[2]: Leaving directory `/tmp/yaourt-tmp-user/aur-elsa-svn-arch/src/elsa-build' make[1]: Leaving directory `/tmp/yaourt-tmp-user/aur-elsa-svn-arch/src/elsa-build' install: cannot stat `/tmp/yaourt-tmp-user/aur-elsa-svn-arch/elsa': No such file or directory ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build elsa-svn-arch. ==> Restart building elsa-svn-arch ? [y/N] My arch is up to date as of today. Hope this helps you to fix the problem.

commented on 2011-06-09 15:16 (UTC)

This package should run unmodified on Arch.

twa022 commented on 2011-01-27 06:00 (UTC)

my /etc/pam.d/elsa file didn't work. I copied /etc/pam.d/gdm to /etc/pam.d/elsa, and it worked fine. Include in source tarball?

talonz commented on 2010-12-24 04:22 (UTC)

works great for me thanks .. a rc.d script would be awesome :D

dumblob commented on 2010-11-05 19:51 (UTC)

There is no existing package with the name "elementary". There is only elementary-svn. Could it be possible to make it dependent on that svn version of elementary?

Changaco commented on 2010-10-03 13:28 (UTC)

Better src package: http://changaco.net/elsa-svn-52188-1.src.tar.gz Changes: - added /etc/rc.d/elsa script - removed copy of the license file, it's GPL3 - changed "conflicts" by "replaces" because I think it is better for this case